package com.zhouyuTest.config;

import com.zhouyuTest.spring_mybatis.MyImportBeanDefinitionRegistrar;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.io.IOException;
import java.io.InputStream;

@Configuration
@ComponentScan({"com.zhouyuTest"})
@Import(MyImportBeanDefinitionRegistrar.class)
public class MyConfig {
    @Bean
    public SqlSessionFactory getFactory() throws IOException {
        InputStream resourceAsStream = Resources.getResourceAsStream("mybatisConfig.xml");
        return new SqlSessionFactoryBuilder().build(resourceAsStream);
    }
}
