package com.factory_bean;

import org.springframework.beans.factory.FactoryBean;
import org.springframework.stereotype.Component;

@Component
public class MyFactoryBean implements FactoryBean<MyUser> {
    @Override
    public MyUser getObject() throws Exception {
        MyUser myUser = new MyUser();
        myUser.setMyUserName("myUserName");
        return myUser;
    }

    @Override
    public Class<?> getObjectType() {
        return null;
    }

    @Override
    public boolean isSingleton() {
        return true;
    }
}
